{% extends "shuup/front/checkout/_base.jinja" %}
{% from "shuup/front/macros/general.jinja" import render_field with context %}

{% block checkout_phase_content %}
    <div class="row">
        {% set forms = form.forms %}
        <div class="col-md-6">
            <form class="single-page-refresh-after" role="form" method="post" action="">
                {% csrf_token %}
                {% set login_form = forms["login"] %}
                {% for error in login_form.non_field_errors() %}
                    {{ macros.alert(error, mode="danger") }}
                {% endfor %}
                {% for f in login_form.hidden_fields() %}{{ f }}{% endfor %}
                {% for f in login_form.visible_fields() %}{{ render_field(f) }}{% endfor %}
                <button type="submit" class="btn btn-white btn-lg-horizontal btn-lg-vertical mr-3" name="login">
                    {% trans %}Log in{% endtrans %}
                </button>
                <a class="text-underline" href="{{ url('shuup:recover_password') }}">
                    {% trans %}Forgot your password?{% endtrans %}
                </a>
            </form>
            <form role="form" method="post" action="">
                {% csrf_token %}
                {% set method_form = forms["checkout_method_choice"] %}
                <div class="mt-3">
                    {{ macros.render_field(method_form.register, classes="hidden") }}
                    <button class="btn-as-link mt-3" type="submit" name="submit-checkout-choice" value="1">
                        {% trans %}Don't have an account yet? Sign up{% endtrans %}
                    </button>
                    <hr class="my-5">
                    <button class="btn btn-primary btn-lg btn-lg-vertical btn-block" type="submit" name="submit-checkout-choice" value="0">
                        {% trans %}Checkout as Guest{% endtrans %}
                    </button>
                </div>
            </form>
        </div>
    </div>
    {% placeholder "checkout_method_choice_bottom" %}{% endplaceholder %}
{% endblock %}

{% block extrajs %}
    {{ super() }}
    <script>
        $(function() {
            $(".selectpicker").selectpicker();

            var choiceField = document.getElementById("id_checkout_method_choice-register");

            function handleClick(e) {
                choiceField.value = e.target.getAttribute("value");
            }

            document.getElementsByName("submit-checkout-choice").forEach(
                function (button) {
                    button.addEventListener("click", handleClick);
                }
            );
        });
    </script>
{% endblock %}
